org.springframework.data.repository.config

## Class ResourceReaderRepositoryPopulatorBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.data.repository.config.ResourceReaderRepositoryPopulatorBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class ResourceReaderRepositoryPopulatorBeanDefinitionParser
    extends AbstractSingleBeanDefinitionParser

`BeanDefinitionParser` to parse repository initializers.

Author:
  Oliver Gierke

### Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`ResourceReaderRepositoryPopulatorBeanDefinitionParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doParse(Element element, BeanDefinitionBuilder builder)`
`protected String` `getBeanClassName(Element element)`
`protected boolean` `shouldGenerateIdAsFallback()`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceReaderRepositoryPopulatorBeanDefinitionParser

    public ResourceReaderRepositoryPopulatorBeanDefinitionParser()

### Method Detail

#### getBeanClassName

    @Nonnull
    protected String getBeanClassName(Element element)

Overrides:
  `getBeanClassName` in class `AbstractSingleBeanDefinitionParser`

#### doParse

    protected void doParse(Element element,
                           BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractSingleBeanDefinitionParser`

#### shouldGenerateIdAsFallback

    protected boolean shouldGenerateIdAsFallback()

Overrides:
  `shouldGenerateIdAsFallback` in class `AbstractBeanDefinitionParser`